<?php



/**
 * Klasse Sip
 * Zeigt alle Einträge von der Tabelle sip der Datenbank
 */

class Sip {


	/*
	 * Funktion display erzeugt den Inhalt von der HTML-Seite
	 */
	function display() {

		include "./includes/functions.php";
		//Das Objekt funktions wird erzeugt um später die Navigationsleiste zu erzeugen.
		$functions = new functions();

		// args
		$m = $_GET['m'];
		$q = $_GET['q'];
		$start = $_GET['start'];
		$order = $_GET['order'];
		$sort = $_GET['sort'];

		$ba = new beroAri();

		$span = 15;
		$query = $ba->select('SELECT * FROM sip');
		$record_count = sqlite_num_rows($query);
		$test=$record_count/$span;
		$test=(int)$test;
		if ($record_count==0){
			$next_add=0;
		}else{
			$next_add=($test*$span);
		}

		$start = $start == '' ? 0 : $start;
		$order = $order;
		$sort = $sort;
                
                $name="SIP_TITLE_DIS";
		include('./includes/header.php');
		$sip_table = $this->dynamic_table();

		// build page content
		$ret .= "<script>
				function del(table,option,name){
					conf = confirm('".SIP_DELETE_MESS1_DIS." '+name+'? ".SIP_DELETE_MESS2_DIS."');
					if (conf==false)
						return false;
					else
						window.location='./misc/delete.php?m=".$_GET['m']."&id='+option+'&table='+table+'&name='+name;
				}
			</script>
			<div class='modal fade bs-example-modal-lg' id='sip-popup' tabindex='-1' role='dialog' aria-labelledby='myModalLabel' aria-hidden='true'>
			  <div class='modal-dialog modal-lg'>
			    <div class='modal-content'>
			      <div class='modal-header'>
				<button type='button' class='close' data-dismiss='modal' aria-label='Close'><span aria-hidden='true'>&times;</span></button>
				<h4 class='modal-title' id='myModalLabel'>" . SIP_TITLE_DIS . "</h4>
			      </div>
			      <div class='modal-body'>
			      </div>
			    </div>
			  </div>
			</div>
			 <br>
			 <div id='container table-responsive'>
			 " . $sip_table . "
			 </div>
			 <div class='text-center'>
				<a href='modules/Sip/sip_popup.php?start=$next_add&profile=undefined&type=manual' role='button' data-remote='false' data-toggle='modal' data-target='#sip-popup' class='btn btn-default'>
				" . BUTTON_ADD . "
				</a>
			 </div>";

		//ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();

		//Erzeugung der Navigationsleiste.
		$query = $ba->select('SELECT * FROM sip');
		$record_count = sqlite_num_rows($query);
		$url_opts = array ();
		$url_opts['sort'] = $sort;
		$url_opts['order'] = $order;
		$ret .= "<div class='text-center'>".
			$functions->displayNavigationBlock($m, $q, $url_opts, $start, $span, $record_count).
			"</div>";

		//Rückgabe: Inhalt der HTML-Seite
		return $ret;
	}

	/*
	 * Funktion dynamic_table
	 */
	function dynamic_table() {
		//ein neues Datenbankobjekt wird erzeugt.
		$ba = new beroAri();
		require_once("./includes/lang.php");
		$start = $_GET['start'];

		//Das Header der Tabelle sind die Spaltennamen von dialplan
		$columns = $ba->column_type('sip');
		$i = 0;
                //$columnsToShow=array("name","user","register","profile");
                //$colName=array("name"=>SIP_NAME_DIS,"user"=>SIP_USER_DIS,"register"=>SIP_REGISTER_DIS,"profile"=>SIP_PROFILE_DIS);
                $columnsToShow=array("name","user","register");
                $colName=array("name"=>SIP_NAME_DIS,"user"=>SIP_USER_DIS,"register"=>SIP_REGISTER_DIS);
		foreach ($columns as $column => $type) {
			if (in_array($column,$columnsToShow)) $cols .= "<th>" . $colName[$column] . "</th>";
		}

		/*Die Einträge werden von der Tabelle sip gelesen, formatiert und in einer
		  Tabelle geschrieben, zusätzlich werden 2 Knöpfe eingebaut: modify und delete*/
		$page = (($start / 15) + 1);
		if (!$start)
			$start = 0;
		$id = 0;
		for ($j = 1; $j <= $page; $j++) {
			$query = $ba->select('SELECT * FROM sip ORDER BY id asc limit 15 offset ' . sqlite_escape_string($start));
			$rows = '<tbody>';
			while ($entry = $ba->fetch_array($query)) {
				$rows .= "<tr>";
				for ($i = 0; $i < (count($columnsToShow)); $i++) {
					$col_name = $columnsToShow[$i];
					$rows .= "<td>" . $entry[$col_name] . "</td>";

				}
				$id = $entry['id'];
				$rows .= "<td class='buttons'>
					
				 <a href='modules/Sip/sip_popup.php?id=" . $entry['id'] . "' data-remote='false' data-toggle='modal' data-target='#sip-popup' class='popup_download'>
					<img src='./includes/images/modify.png' onmouseover=\"Tip('" . MOD_SIP_MODIFY . "')\" onmouseout='UnTip()'>
				</a>&nbsp;
				<a class='popup_download' onclick=\"del('sip','".$id."','".$entry['name']."');\">
            	    <img src='./includes/images/delete.png' onmouseover=\"Tip('" .
					MOD_SIP_DELETE . "')\" onmouseout='UnTip()'>
				</a>
				</td></tr>";
			}
			$rows .= '</tbody>';
		}

		$table = "<table class='table table-striped table-bordered'><tr><thead>" . $cols . "<th></th></tr></thead>" . $rows . "</table>"
			. "<script>"
			. "$('#sip-popup').on('show.bs.modal', function(e) {"
			. "var link = $(e.relatedTarget);"
			. "$('.modal-body').load(link.attr('href'));"
			. "});"
			. "$('#sip-popup').on('hidden.bs.modal', function (e) { "
			. "$('.modal-body').empty(); "
			. "});" .
			"</script>";
		//Rückgabe: Erzeugte Tabelle mit den Einträgen der Tabelle sip der Datenbank
		return $table;
	}

}
?>
